require 'helpers'

local function showDirection(entity, lineLenght)
  --find center pivot
  local lineStartX = entity.x + entity.width / 2
  local lineStartY = entity.y + entity.height / 2
  --find length of vector
  local lineEndX = lineStartX + entity.direction.x * entity.speed * lineLenght
  local lineEndY = lineStartY + entity.direction.y * entity.speed * lineLenght

  --main line
  love.graphics.setColor(235, 235, 0, 255)
  love.graphics.line(lineStartX, lineStartY, lineEndX, lineEndY)

  local radAngle = math.atan2((lineEndX - lineStartX), (lineEndY - lineStartY))
  --arrow line 1
  local Radius = math.sqrt(math.pow(lineEndX - lineStartX, 2) + math.pow(lineEndY - lineStartY, 2)) / 3
  local arrow1Angle = ( -0.25 * math.pi  - radAngle )
  local line1X = lineEndX + Radius * math.cos(arrow1Angle)
  local line1Y = lineEndY + Radius * math.sin(arrow1Angle)
  love.graphics.line(lineEndX, lineEndY, line1X, line1Y)

  --arrow line 2
  local arrow2Angle = (-0.75 * math.pi  - radAngle)
  local line2X = lineEndX + Radius * math.cos(arrow2Angle)
  local line2Y = lineEndY + Radius * math.sin(arrow2Angle)
  love.graphics.line(lineEndX, lineEndY, line2X, line2Y)
end

--Methods
info =
{
  showDirection = showDirection
}