require 'pad'
require 'ball'
require 'info'
--vars
local screenWidth, screenHeight = love.graphics.getDimensions()
local screenCenterX, screenCenterY = screenWidth / 2, screenHeight / 2
local backgroundColor = { 45, 100, 125, 255 }
local entities
--

function love.load()
  love.graphics.setBackgroundColor(backgroundColor)
  entities = {
    player1 = pad.makeNewPad(screenCenterX, screenHeight - 50),
    ball1 = ball.makeNewBall(screenCenterX, screenCenterY, 1, 1),
    ball2 = ball.makeNewBall(screenCenterX / 2, screenCenterY, 0.2, -1),
    ball3 = ball.makeNewBall(screenCenterX / 2, screenCenterY / 2, 1, -0.5),
    ball4 = ball.makeNewBall(screenCenterX / 3, screenCenterY, 0.2, -1),
    ball5 = ball.makeNewBall(screenCenterX / 3, screenCenterY / 2, 1, -0.5)
  }
end

function love.update(dt)
  for _, entity in pairs(entities) do
    entity:update(dt, entities)
  end
end

function love.draw()
  for _, entity in pairs(entities) do
    entity:draw()
    info.showDirection(entity, 6)
  end
end

function love.keypressed(key)
  if "escape" == key then love.event.quit() end

  for _, entity in pairs(entities) do
    if entity.type == "pad" then
      entity:keyPressed(key)
    end
  end
end

function love.keyreleased(key)

  for _, entity in pairs(entities) do
    if entity.type == "pad" then
      entity:keyReleased(key)
    end
  end
end